<?
/////////////////////////////////////////////////////
//  险情文章管理 1.0正式版本--php文本存储格式      //
//  作者：上海财经大学99国际工管    险情           //
//  email：indraw@sina.com                         //
//  qq：   30467826                                //
//  技术支持：http://shcj.51.net/wdb               //
//  最新演示：http://xqart.126.com                 //
//  2002/4/10                                      //
//  最新下载地址 http;//shcj.51.net/wdb            //
/////////////////////////////////////////////////////
include ("admin_log.php");
include ("xqfunc.php");
if (!isset($mode)) {
   $mode="index";
   }
switch ($mode){
///////////////
case "index":
/////输出//////
?>
<HTML>
<HEAD>
<META http-equiv='Content-Type' content='text/html; charset=gb2312'>
<TITLE>MENU</TITLE>
<STYLE>
<!--
A:link {text-decoration:none;color:black;}
A:visited {text-decoration:none;color:black;}
A:hover {  text-decoration:underline;  color:#081E8A;}
p,br,body,td {color:black; font-size:9pt; line-height:140%;}
-->
</STYLE>
</HEAD>
<BODY  BGCOLOR='EFEFEF'>

<table width=100% cellpadding=6 cellspacing=0 border=0>
  <tr>
    <td bgcolor=#a6a7d9 colspan=2><font color=#FFFFFF> <b>欢迎来到险情文章管理程式 / 后选文章</b></font></td>
  </tr>
</table>
<br>
<?
@require("../config.php");
//////////////////将所有等待文章读入数组//////////////////////////////////
$file_sort=file("../data/xq.php");
$file_count=count($file_sort)-1;
for ($i=0;$i<=$file_count;$i++) {
        $file_name=explode("|",$file_sort[$i]);
        if ($file_name[0]=="type"){
$dh=opendir("../data/$file_name[1]");
while ($userfile=readdir($dh)) {
  if (strpos($userfile,".wait")) {
    $user=file("../data/$file_name[1]/$userfile");
    $user_array[]="$user[0]$file_name[1]|";
   }
  }
 }
}
closedir($dh);
if (empty($user_array)) {
echo " &nbsp;&nbsp;还没有侯选文章";
exit;
}
///////////////////////////////////////////////////////////////////
#将用户分页显示计算
reset($user_array);
$total_file=count($user_array);
$recnum = 20;
$listnum = 10;
$totalnum = intval(($total_file)/$recnum)+1;
echo "<table border=1 cellpadding=3 cellspacing=0 style='border-collapse:collapse' bordercolor=#C0C0C0 width=100%>\n";
echo "<tr>\n";
echo "<td width=100% align=right class=shadow2>\n";
 page_menu($totalnum);
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
//////////////////////////////文章列表/////////////////////
echo "<center><table border=0 bgcolor=\"c0c0c0\" cellspacing=1 cellpadding=1 width=100%>\n";

if ( !$p ) { $p = 1; }
        for( $i = $total_file-(($p-1)*$recnum); $i > $total_file-($p*$recnum);$i--) {
                $xqfile_info=explode("|",$user_array[$i]);
  if ( "$xqfile_info[0]" && "$xqfile_info[0]" != '.' && "$xqfile_info[0]" != '..') {
  $NO = $i+1;
  $len = strlen($xqfile_info[1]);
  if ($len <= $page_list_code)
    $title = $xqfile_info[1];
  else
    $title =substr($xqfile_info[1],0,$page_list_code)."...";
  echo "<tr><td width=22 height=\"22\"align=center bgcolor=\"efefef\" onmouseover=\"this.bgColor='white';\" onmouseout=\"this.bgColor='efefef';\">";
  echo "$NO</td>";
  echo "<td height=\"22\" bgcolor=\"white\" onmouseover=\"this.bgColor='efefef';\" onmouseout=\"this.bgColor='white';\">";
  echo "</b><a target=_blank href='../show.php?type=$xqfile_info[22]&id=$xqfile_info[0]'><span style=font:9pt>$title</span></a> - ";
  if ($xqfile_info[2]!="")
  echo "<font color=#c0c0c0>$xqfile_info[2]/文 </font>";
  echo "<span style=font:9pt>$xqfile_info[6]</span>";
  echo "</td><td align=left bgcolor=\"efefef\" onmouseover=\"this.bgColor='white';\" onmouseout=\"this.bgColor='efefef';\">";
  echo "<span style=font:9pt>提交:$xqfile_info[10]</span>";
  $type_file=file("../data/xq.php");
  $type_num=count($type_file)-1;
  for ($j=0;$j<=$type_num;$j++) {
  $type_info=explode("|",$type_file[$j]);
  if ($xqfile_info[22]==$type_info[1])  {
     $typename=$type_info[2];
      break;}
      }
  echo " <span style=font:9pt>版块:$typename</span>";
  echo " <span style=font:9pt>[<a href='./wait2.php?wait=1&type=$xqfile_info[22]&edit=edit&id=$xqfile_info[0].wait'>编辑</a>]</span>";
  echo " <span style=font:9pt>[<a href='./wait.php?mode=tg&type=$xqfile_info[22]&id=$xqfile_info[0]'>击活</a>]</span>";
  echo " <span style=font:9pt>[<a href='./wait.php?mode=delwait&type=$xqfile_info[22]&id=$xqfile_info[0]'>删除</a>]</span>";
  echo "</td>\n";
echo "</tr>\n";
   } }
echo "</table></center>\n";
///////////////////////////列出页数/////////////////////////////
echo "<table border=1 cellpadding=3 cellspacing=0 style='border-collapse:collapse' bordercolor=#C0C0C0 width=100%>\n";
echo "<tr>\n";
echo "<td width=100% align=right class=shadow2>\n";
 page_menu($totalnum);
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<br>\n";
echo "<table width=100% cellpadding=6 cellspacing=0 border=0>\n";
echo "  <tr>\n";
echo "    <td bgcolor=#a6a7d9 colspan=2><font color=#FFFFFF> <b>欢迎来到险情文章管理程式 / 数据的导出和倒入</b></font></td>\n";
echo "  </tr>\n";
echo "</table>\n";
echo "</BODY>\n";
echo "</HTML>\n";
/////////////
break;
case "delwait":
////////////
@unlink("../data/$type/$id.wait");
@unlink("../data/$type/$id.txt");
  $msg="您已经成功删除侯选文章";
    $turn_page="wait.php";
    error_1($msg,$turn_page);
    exit;
/////////////
break;
case "tg":
////////////
    $sortid=$type;
   $show_file=file("../data/$type/$id.wait");
   $file_info=explode("|",$show_file[0]);
    $mingzi=$file_info[0];
    $title=$file_info[1];
    $author=$file_info[2];
    $fromsite=$file_info[3];
    $f_image=$file_info[4];
    $download=$file_info[5];
    $xqdate=$file_info[6];
    $message=$file_info[7];
    $key=$file_info[8];
    $tuijian=$file_info[9];
    $fromwho=$file_info[10];
    $speid=$file_info[11];
/////////////////////////////
$num_time=date("m").date("d");
  $article ="$mingzi|$title|$author|$fromsite|$f_image|$download|$xqdate|$message|$key|$tuijian|$fromwho|$speid|0||=|$num_time|0|0|0|0|||";
if (!file_exists("../data/$sortid/$mingzi.num")) {
 $fp=fopen("../data/$sortid/$mingzi.num","w");
flock($fp,3);
fwrite($fp,$article);
fclose($fp);}

if (file_exists("../data/$sortid/list.php")) {
 $fp=fopen("../data/$sortid/list.php","a+");
flock($fp,3);
fwrite($fp,"$mingzi|$sortid|\n");
fclose($fp);}

if ($tuijian =="1") {
$file_tuijian=file("../data/xq.tui");
$file_tuijian_count=count($file_tuijian);
if ($file_tuijian_count<16){
$fp_tuijian=fopen("../data/xq.tui","a+");
                flock($fp_tuijian,3);

 fwrite($fp_tuijian,"$mingzi|$sortid|\n");
 fclose($fp_tuijian);
                }
$file_tuijian=file("../data/$sortid.tui");
$file_tuijian_count=count($file_tuijian);
if ($file_tuijian_count<16){
$fp_tuijian=fopen("../data/$sortid.tui","a+");
                flock($fp_tuijian,3);

 fwrite($fp_tuijian,"$mingzi|$sortid|\n");
 fclose($fp_tuijian);
                }
}
////////////////////发送邮件////////////////////////////////////////
    if ($sendfile == 1){
$file_sort=file("../data/$user/user".".mail");
$file_count=count($file_sort)-1;
for ($i=0;$i<=$file_count;$i++) {
    $file_name=explode("|",$file_sort[$i]);
    if  ($file_name[2]==$sortid or $file_name[2]=="all"){
mail($file_name[0],$title,"
这是你在\"$web_title\"订阅的文章\"<$title>\":
///////////////////////////////////////////////////////////////////////////////
$f_introduction
///////////////////////////////////////////////////////////////////////////////
","From:\"$web_title\"<$web_mail>");
      }
      }
}
///////////////////写入关键字////////////////////////
if (!empty($key)){
if (file_exists("../data/key/$key.key")){
$fp=fopen("../data/key/$key.key","a+");
flock($fp,3);
fwrite($fp,"$mingzi|$sortid|\n");
fclose($fp);}
else {
$fp=fopen("../data/key/$key.key","w");
flock($fp,3);
fwrite($fp,"$mingzi|$sortid|\n");
fclose($fp);
}
  }

//////////////////////分类最新文章/////////////////////////////////////
$dir="../data/$sortid.new";
$file_new=$mingzi."|".$sortid."|"."\n";
$file_num=16;
add_new_file($dir,$file_new,$file_num);
//////////////////////总的最新文章////////////////////////////////////////
$dir="../data/xq.new";
$file_num=16;
add_new_file($dir,$file_new,$file_num);

////////////分类最热文章/////////////////////////
$file_typehot=file("../data/$sortid.hot");
$file_typehot_count=count($file_typehot);
if ($file_typehot_count<16){
$fp_typehot=fopen("../data/$sortid.hot","a+");
                flock($fp_typehot,3);

 fwrite($fp_typehot,"$mingzi|$sortid|1|\n");
 fclose($fp_typehot);
                }

$file_typehot=file("../data/xq.hot");
$file_typehot_count=count($file_typehot);
if ($file_typehot_count<16){
$fp_typehot=fopen("../data/xq.hot","a+");
                flock($fp_typehot,3);

 fwrite($fp_typehot,"$mingzi|$sortid|1|\n");
 fclose($fp_typehot);
                }

////////////写入分类计数器//////////////////////////
$file_hot=file("../data/xq.php");
$file_hot_count=count($file_hot)-1;
$fp_hot=fopen("../data/xq.php","w");
                flock($fp_hot,3);
for ($i=0;$i<=$file_hot_count;$i++){
     $file_hot_code=explode("|",$file_hot[$i]);

if ($sortid===$file_hot_code[1]) {
$new_file =$file_hot_code[4]+1;
 fwrite($fp_hot,$file_hot_code[0]."|".$file_hot_code[1]."|".$file_hot_code[2]."|".$file_hot_code[3]."|".$new_file."|".$file_hot_code[5]."|".$file_hot_code[6]."|".$file_hot_code[7]);}
 else
 fwrite($fp_hot,$file_hot[$i]);
 }
 fclose($fp_hot);
//////////////////////////////////////////////////////
if ($speid!="all"){
$file_spe=file("../data/xq.cgi");
$file_spe_count=count($file_spe)-1;
$fp_spe=fopen("../data/xq.cgi","w");
                flock($fp_spe,3);
for ($i=0;$i<=$file_spe_count;$i++){
     $file_spe_code=explode("|",$file_spe[$i]);
  if ($speid===$file_spe_code[1]) {
    $new_file =$file_spe_code[4]+1;
    fwrite($fp_spe,$file_spe_code[0]."|".$file_spe_code[1]."|".$file_spe_code[2]."|".$file_spe_code[3]."|".$new_file."|".$file_spe_code[5]."|".$file_spe_code[6]);}
  else
   fwrite($fp_spe,$file_spe[$i]);
  }
 fclose($fp_spe);
  $fp=fopen("../data/spe/$speid.spe","a+");
flock($fp,3);
fwrite($fp,$mingzi."|".$sortid."|"."\n");
fclose($fp);}
//////////显示文章提交成功界面////////////////////////
@unlink("../data/$type/$id.wait");
   $msg="您成功通过文章:$title的验证";
    $turn_page="wait.php";
    error_1($msg,$turn_page);
    exit;
////////////
}
?>